<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300&display=swap" rel="stylesheet">
    <title>Aulas</title>
    <style>
      html,
      body {
        border: 0;
        margin: 0;
        overflow: hidden;
        background-color: #ada594;
      }
      header {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        text-align: center;
        font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
        font-weight: 800;
        font-size: 30px;
        height: 60px;
        background: #0c2942;
        color: #fc6d26;
      }

      header > span {
        line-height: 60px;
      }

      main {
        font-size: 12px;
        text-align: center;
        font-family: Open Sans, Helvetica, sans-serif;
        position: absolute;
        overflow-y: scroll;
        scroll-behavior: smooth;
        top: 60px;
        left: 290px;
        right: 0;
        bottom: 30px;
      }

      footer {
        position: absolute;
        text-align: center;
        height: 30px;
        bottom: 0;
        left: 0;
        right: 0;
        background: #0c2942; 
        color: #ada594;
      }

      footer > span {
        font-weight: 500;
        font-size: 12px;
        font-family: Open Sans, Helvetica, sans-serif;
        line-height: 30px;
      }

      footer > span > a {
        color: #fc6d26 !important;
      }

      footer > span > a:link {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      footer > span > a:visited {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      footer > span > a:hover {
        color: #5a5442;
        cursor: pointer;
      }

      nav {
        padding: 20px;
        position: absolute;
        top: 60px;
        left: 0;
        width: 250px;
        color: #ada594;
        background: #033056;
        overflow-y: scroll;
        scroll-behavior: smooth;
        bottom: 30px;
      }

      nav > h3 {
        margin: 0 0 15px !important;
        line-height: 20px;
        font-style: normal !important;
        font-size: 16px;
      }

      nav > h3 > a {
        font-weight: 400 !important;
        font-style: normal !important;
        font-family: Roboto, sans-serif;
      }

      nav > h3 > a:link {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      nav > h3 > a:visited {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      nav > h3 > a:hover {
        color: #fc6d26;
        cursor: pointer;
      }

      iframe {
        width: 800px;
        height: 450px;
        margin-top: 30px;
        background-color: #cccccc;
        border: 1px solid #cccccc;
      }

      section > div {
        display: flex;
        margin: auto;
        width: 800px;
        height: 70px;
      }

      section > div > a:link {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      section > div > a:visited {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      section > div > a:hover {
        color: #efd384;
        cursor: pointer;
      }

      section > div > a > h4 > img {
        width: 30px;
        margin-right: 5px;
      }

      section > div > a > h4 {
        display: flex;
        align-items: center;
        margin-right: 20px;
        font-weight: 500 !important;
        font-size: 14px;
        font-style: normal !important;
        font-family: Open Sans, Helvetica, sans-serif;
      }

      @media screen and (max-width: 1000px) {

        main {
          top: 60px;
          left: 160px;
          bottom: 30px;
          right: 0;
        }

        nav {
          position: absolute;
          left: 0;
          top: 60px;
          padding: 10px;
          width: 150px;
          bottom: 10px;
          overflow-y: scroll;
        }

        nav > h3 {
          margin: 0 0 15px !important;
          font-style: normal !important;
          line-height: 14px;
          font-size: 12px;
        }

        iframe {
          width: 400px;
          height: 225px;
          margin-top: 30px;
        }

        section > div {
          display: flex;
          margin: auto;
          width: 400px;
        }
      }

      @media screen and (max-width: 600px) {
        header {
          position: absolute;
          top: 0;
          left: 0;
          right: 0;
          text-align: center;
          font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
          font-weight: 800;
          font-size: 18px;
          height: 60px;
          line-height: 30px;
        }

        main {
          top: 60px;
          bottom: 30px;
          right: 0;
          left: 0;
        }

        nav {
          display: none;
        }

        iframe {
          width: 380px;
          height: 200px;
          margin-top: 30px;
        }

        section > div {
          width: 380px;
        }

        footer {
          position: absolute;
          text-align: center;
          height: 25px;
          bottom: 0;
          left: 0;
          right: 0;
        }

        footer > span {
          font-weight: 300;
          font-size: 10px;
          font-family: Open Sans, Helvetica, sans-serif;
          line-height: 15px;
        }
      }

      ::-webkit-scrollbar {
        width: 18px;
      }

      ::-webkit-scrollbar-thumb {
        border-radius: 15px;
        background-color: #1e1e1e59;
        border: 3px solid transparent;
        background-clip: content-box;
      }

      ::-webkit-scrollbar-thumb:hover {
        background-color: #fc6d26;;
      }

      ::-webkit-scrollbar-thumb:vertical {
          height: 100px;
      }
    </style>
  </head>
  <body>
    <header>
      <span>Aulas de Desenvolvimento Web Avançado</span>
    </header>
    <nav>
      <h3>
        <a href="#topico01">01. Introdução ao desenvolvimento Angular</a>
      </h3>
      <h3>
        <a href="#topico02">02. Configuração do ambiente de desenvolvimento</a>
      </h3>
      <h3>
        <a href="#topico03">03. Visão geral da plataforma Angular</a>
      </h3>
      <h3>
        <a href="#topico04">04. Projeto de exemplo (1ª parte)</a>
      </h3>
      <h3>
        <a href="#topico05">05. Construção de telas utilizando componentes</a>
      </h3>
      <h3>
        <a href="#topico06">06. Projeto de exemplo (2ª parte)</a>
      </h3>
      <h3>
        <a href="#topico07">07. Interpolação, diretivas e uso de dados</a>
      </h3>
      <h3>
        <a href="#topico08">08. Serviços, eventos e modelos</a>
      </h3>
      <h3>
        <a href="#topico09">09. Criação de APIs com json-server</a>
      </h3>
      <h3>
        <a href="#topico10">10. Visão geral do Node JS, Express e APIs</a>
      </h3>
      <h3>
        <a href="#topico11">11. Criando um servidor de APIs</a>
      </h3>
      <h3>
        <a href="#topico12">12. Criação de models, routes e controllers</a>
      </h3>
      <h3>
        <a href="#topico13">13. Cadastros relacionais em MongoDB</a>
      </h3>
      <h3>
        <a href="#topico14">14. Autenticação e autorização com JWT</a>
      </h3>
      <h3>
        <a href="#topico15">15. Integração frontend e backend</a>
      </h3>
    </nav>
    <main>

      <section id="topico01">
        <iframe src="https://www.youtube.com/embed/fEibky9RDUg?modestbranding=1&amp;rel=0" frameborder="0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/1.01.2%20Introdu%C3%A7%C3%A3o%20ao%20desenvolvimento%20Angular.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/prj-exemplo" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico02">
        <iframe src="https://www.youtube.com/embed/w7px-vmuqnE?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <span></span>
        </div>
      </section>

      <section id="topico03">
        <iframe src="https://www.youtube.com/embed/OFsYRTePV7I?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/1.02.3%20Vis%C3%A3o%20geral%20da%20plataforma%20Angular.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico04">
        <iframe src="https://www.youtube.com/embed/QkcoaiGib5o?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/1.02.4%20Projeto%20de%20exemplo%20(1%C2%AA%20parte).pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/prj-exemplo" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico05">
        <iframe src="https://www.youtube.com/embed/N55kmmVWhI4?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/1.03.2%20Constru%C3%A7%C3%A3o%20de%20telas%20utilizando%20componentes.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/ex-angular-bootstrap" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico06">
        <iframe src="https://www.youtube.com/embed/e3vw_6WEqKI?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/1.03.3%20Projeto%20de%20exemplo%20(2%C2%AA%20parte).pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/prj-exemplo" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico07">
        <iframe src="https://www.youtube.com/embed/JCty_cYhe6s?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/1.04.2%20Interpola%C3%A7%C3%A3o,%20diretivas%20e%20uso%20de%20dados.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/exemplo-diretivas" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico08">
        <iframe src="https://www.youtube.com/embed/VIfN3sDQslk?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/1.05.2%20Servi%C3%A7os,%20eventos%20e%20modelos.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico09">
        <iframe src="https://www.youtube.com/embed/8jocL7iDDd0?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/1.06.2%20Cria%C3%A7%C3%A3o%20de%20APIs%20com%20json-server.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/servidor" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico10">
        <iframe src="https://www.youtube.com/embed/LQo-TdRhCdI?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/2.01%20Vis%C3%A3o%20geral%20do%20Node%20JS,%20Express%20e%20APIs.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/primeira-api" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico11">
        <iframe src="https://www.youtube.com/embed/czCI9BaftJ8?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/2.02%20Criando%20um%20servidor%20de%20APIs.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/servidor-apis" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico12">
        <iframe src="https://www.youtube.com/embed/pAOjezQw5hM?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/2.03%20Cria%C3%A7%C3%A3o%20de%20models,%20routes%20e%20controllers.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/myfood" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a> 
        </div>
      </section>

      <section id="topico13">
        <iframe src="https://www.youtube.com/embed/tzH8ClIge_E?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/2.04%20Cadastros%20relacionais%20em%20MongoDB.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/myfood" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a> 
        </div>
      </section>

      <section id="topico14">
        <iframe src="https://www.youtube.com/embed/Ulut3Bh-8uQ?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/2.06%20Autentica%C3%A7%C3%A3o%20e%20autoriza%C3%A7%C3%A3o%20com%20JWT.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/myfood" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a> 
        </div>
      </section>

      <section id="topico15">
        <iframe src="https://www.youtube.com/embed/gnbdtP1vzPY?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/angular/site/-/blob/main/public/PDFs/2.06%20Integra%C3%A7%C3%A3o%20frontend%20e%20backend.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/angular/myfood" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a> 
        </div>
      </section>

    </main>
    <footer>
      <span>
        <strong>© 2021 Professor Geucimar Brilhador</strong>. Todos os direitos reservados.
        <a href="https://gitlab.com/gilbriatore/2021/angular" target="_blank">Repositório GitLab</a>
      </span>
    </footer>
  </body>
</html>